Summary:        The New GNU Pth library
Name:           npth
Version:        1.6
Release:        4%{?dist}
License:        LGPLv2+
URL:            https://gnupg.org/software/%{name}
Source0:        https://gnupg.org/ftp/gcrypt/npth/%{name}-%{version}.tar.bz2

BuildRequires:  gcc make 

%description
NPth is a new GNU portable threads library.It's a library to provide 
the GNU Pth API and thus a non-preemptive threads implementation.
In contrast to GNU Pth is is based on the system's standard threads 
implementation. This allows the use of libraries which are not compatible
to GNU Pth. Experience with a Windows Pth emulation showed that this is 
a solid way to provide a co-routine based framework.


%package        devel
Summary:        Development package of %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains libraries and header files of %{name}.


%prep
%autosetup


%build
%configure --disable-static
%make_build


%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la


%check
%make_build check


%post  -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%license COPYING.LIB
%doc README NEWS AUTHORS ChangeLog  
%{_libdir}/libnpth.so.*


%files devel
%{_libdir}/libnpth.so
%{_includedir}/npth.h
%{_datadir}/aclocal/npth.m4
%{_bindir}/npth-config


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 22 2022 doriscchao <doriscchao@tencent.com> - 1.6-1
- initial build, Version 1.6, Release 1

